Update a Trail, including pause, resume, or archive
Replace the mutable Trail definition. The server validates the trigger and action bindings before it saves the update. The creator is immutable. A status change can pause, resume, or archive the Trail. Archive keeps existing run history and does not cancel action runs that already started.
Replace the mutable Trail definition. The server validates the trigger and action bindings before it saves the update. The creator is immutable. A status change can pause, resume, or archive the Trail. Archive keeps existing run history and does not cancel action runs that already started.
storyden-session<token>trail_id*stringA unique identifier for this resource.
xidapplication/json- body
name*string1 <= length <= 120description?stringstatus*TrailMutableStatus"active""paused""archived"trigger*|actions*array<>1 <= itemsTrail updated.
application/json- response
id*IdentifierA unique identifier for this resource.
xidcreatedAt*stringThe time the resource was created.
date-timeupdatedAt*stringThe time the resource was updated.
date-timedeletedAt?stringThe time the resource was soft-deleted.
date-timemisc?Arbitrary extra data stored with the resource.
name*stringdescription*stringcreated_by*A minimal reference to an account.
status*TrailStatus"active""paused""finished""archived"trigger*|actions*array<>next_occurrence_at?stringdate-timelast_occurrence_at?stringdate-timecurl -X PATCH 'https://example.com/api/trails/string' \ -H 'Content-Type: application/json' \ -d '{ "name": "string", "status": "active", "trigger": { "type": "schedule", "schedule": { "start": "string", "timezone": "string", "rule": { "frequency": "hourly", "interval": 1 } } }, "actions": [ { "type": "robot_run", "robot_ref": "string", "instruction": "string" } ]}'{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "misc": {}, "name": "string", "description": "string", "created_by": { "id": "string", "joined": "2019-08-24T14:15:22Z", "suspended": "2019-08-24T14:15:22Z", "handle": "string", "name": "string", "signature": "string", "roles": [ { "badge": true, "default": true, "id": "string", "name": "string", "colour": "string", "meta": {} } ] }, "status": "active", "trigger": { "type": "schedule", "schedule": { "start": "string", "timezone": "string", "rule": { "frequency": "hourly", "interval": 1, "by_weekday": [ "monday" ], "by_month": [ 1 ], "by_month_day": [ -31 ], "count": 1 } } }, "actions": [ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "misc": {}, "action": { "type": "robot_run", "robot_ref": "string", "instruction": "string" } } ], "next_occurrence_at": "2019-08-24T14:15:22Z", "last_occurrence_at": "2019-08-24T14:15:22Z"}